Subject: Re: Please pull 'next' branch of 5xxx tree

From: Anatolij Gustschin <[email-masked]>
Date: Wed, 21 Mar 2012 01:56:31 +0100

Hi,

On Tue, 20 Mar 2012 23:30:17 +0100
Wolfram Sang <[email-masked]> wrote:

> Hi,
> 
> >       powerpc/mpc52xx: setup port_config and CDM settings through DT
> 
> Can we skip this patch for 3.5? Between posting it and pushing it upstream were
> about 24 hours, so one didn't have much chance of reviewing (and no linux-next
> exposure).

Pretty much similar patch was posted nearly one year ago, so my
assumption was that people have had enough time to comment on it :-).
But I've dropped this patch from the next branch for now.

> I think the bindings leave space for questions, e.g. is it really desirable to
> have the fractional divide ratios encoded like in the bits in the register? Why
> not encode it like e.g. <11 11 11 11> (the actual divisor) or so? I could
> imagine there are examples for setting dividers somewhere. Poking values into
> registers tends to be suspicious, so I'd vote for giving all this more
> exposure.

At the end we will be poking values into registers anyway :-),
but I'm open for suggestions and discussion about them.

Thanks,
Anatolij